summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorThorsten Glaser <tg@mirbsd.org>2010-11-20 19:34:09 +0000
committerWaldemar Brodkorb <wbx@openadk.org>2010-11-20 20:35:54 +0100
commitce06162a47a7bfc4ec9d955b5eaa6526996f98c9 (patch)
tree3e4a132ff1e08d42d64866172461fa0dcd3e84c6 /scripts
parent66c32905a8e5a3e70909fe6dbcfedb4498e10f03 (diff)
] works for foo='bar' bar='b*r' but, apparently, not everything
Signed-off-by: Thorsten Glaser <tg@mirbsd.org>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/install.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/install.sh b/scripts/install.sh
index 2665c30c5..87fef1373 100755
--- a/scripts/install.sh
+++ b/scripts/install.sh
@@ -174,7 +174,7 @@ case $ostype {
}
mount | while read dev rest; do
- [[ $dev = $match ]] || continue
+ eval [[ \$dev = $match ]] || continue
print -u2 "Block device $tgt is in use, please umount first."
exit 1
done